<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>Class Hierarchy</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#tree">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="fr/ici/buildingActivity/address/package-tree.html">fr.ici.buildingActivity.address</a>, </li>
<li><a href="fr/ici/buildingActivity/bnb/package-tree.html">fr.ici.buildingActivity.bnb</a>, </li>
<li><a href="fr/ici/buildingActivity/building/package-tree.html">fr.ici.buildingActivity.building</a>, </li>
<li><a href="fr/ici/buildingActivity/housing/package-tree.html">fr.ici.buildingActivity.housing</a>, </li>
<li><a href="fr/ici/buildingActivity/insee/package-tree.html">fr.ici.buildingActivity.insee</a>, </li>
<li><a href="fr/ici/buildingActivity/iris/package-tree.html">fr.ici.buildingActivity.iris</a>, </li>
<li><a href="fr/ici/buildingActivity/local/package-tree.html">fr.ici.buildingActivity.local</a>, </li>
<li><a href="fr/ici/buildingActivity/local/paris/package-tree.html">fr.ici.buildingActivity.local.paris</a>, </li>
<li><a href="fr/ici/buildingActivity/minister/package-tree.html">fr.ici.buildingActivity.minister</a>, </li>
<li><a href="fr/ici/buildingActivity/osm/package-tree.html">fr.ici.buildingActivity.osm</a>, </li>
<li><a href="fr/ici/buildingActivity/poi/package-tree.html">fr.ici.buildingActivity.poi</a>, </li>
<li><a href="fr/ici/buildingActivity/util/package-tree.html">fr.ici.buildingActivity.util</a>, </li>
<li><a href="fr/ici/buildingActivity/util/property/package-tree.html">fr.ici.buildingActivity.util.property</a></li>
</ul>
</div>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">fr.ici.buildingActivity.address.<a href="fr/ici/buildingActivity/address/AddressUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.address">AddressUtil</a></li>
<li class="circle">fr.ici.dataImporter.iciObjects.iris.Adjustable
<ul>
<li class="circle">fr.ici.dataImporter.iciObjects.iris.IRIS
<ul>
<li class="circle">fr.ici.buildingActivity.iris.<a href="fr/ici/buildingActivity/iris/IRISHousing.html" class="type-name-link" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.local.paris.<a href="fr/ici/buildingActivity/local/paris/AppariementBuildingBDTopo.html" class="type-name-link" title="class in fr.ici.buildingActivity.local.paris">AppariementBuildingBDTopo</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/BuildingImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingImport</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/BuildingUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></li>
<li class="circle">fr.ici.buildingActivity.util.<a href="fr/ici/buildingActivity/util/CompareHousingInferenceBetweenBDTopo2Or3.html" class="type-name-link" title="class in fr.ici.buildingActivity.util">CompareHousingInferenceBetweenBDTopo2Or3</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/getBDTopo.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">getBDTopo</a></li>
<li class="circle">fr.ici.buildingActivity.bnb.<a href="fr/ici/buildingActivity/bnb/GetBNBData.html" class="type-name-link" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></li>
<li class="circle">fr.ici.buildingActivity.housing.<a href="fr/ici/buildingActivity/housing/HousingTools.html" class="type-name-link" title="class in fr.ici.buildingActivity.housing">HousingTools</a></li>
<li class="circle">fr.ici.dataImporter.iciObjects.ICIClass
<ul>
<li class="circle">fr.ici.dataImporter.iciObjects.ICIObject
<ul>
<li class="circle">fr.ici.buildingActivity.address.<a href="fr/ici/buildingActivity/address/Address.html" class="type-name-link" title="class in fr.ici.buildingActivity.address">Address</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/Building.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">Building</a>
<ul>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/BuildingGroup.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/BuildingSimple.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.housing.<a href="fr/ici/buildingActivity/housing/Housing.html" class="type-name-link" title="class in fr.ici.buildingActivity.housing">Housing</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POI.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POI</a>
<ul>
<li class="circle">fr.ici.buildingActivity.insee.<a href="fr/ici/buildingActivity/insee/BpePOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">BpePOI</a></li>
<li class="circle">fr.ici.buildingActivity.local.<a href="fr/ici/buildingActivity/local/LocalPOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.local">LocalPOI</a>
<ul>
<li class="circle">fr.ici.buildingActivity.local.paris.<a href="fr/ici/buildingActivity/local/paris/ApurPOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.osm.<a href="fr/ici/buildingActivity/osm/OsmPOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></li>
<li class="circle">fr.ici.buildingActivity.minister.<a href="fr/ici/buildingActivity/minister/School.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">School</a>
<ul>
<li class="circle">fr.ici.buildingActivity.minister.<a href="fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a></li>
<li class="circle">fr.ici.buildingActivity.minister.<a href="fr/ici/buildingActivity/minister/SuperiorEducation.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.insee.<a href="fr/ici/buildingActivity/insee/SirenePOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POISorting.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POISorting</a></li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.osm.<a href="fr/ici/buildingActivity/osm/ImportOSM.html" class="type-name-link" title="class in fr.ici.buildingActivity.osm">ImportOSM</a></li>
<li class="circle">fr.ici.buildingActivity.util.<a href="fr/ici/buildingActivity/util/MakeCommonNomenclature.html" class="type-name-link" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></li>
<li class="circle">fr.ici.buildingActivity.util.<a href="fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html" class="type-name-link" title="class in fr.ici.buildingActivity.util">MakeCommonPOIinBuilding</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POIImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIImport</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POIMerging.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIMerging</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POISortingNew.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POIUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIUtil</a>
<ul>
<li class="circle">fr.ici.buildingActivity.local.paris.<a href="fr/ici/buildingActivity/local/paris/APURUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.local.paris">APURUtil</a></li>
<li class="circle">fr.ici.buildingActivity.insee.<a href="fr/ici/buildingActivity/insee/BPEUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></li>
<li class="circle">fr.ici.buildingActivity.osm.<a href="fr/ici/buildingActivity/osm/OSMUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></li>
<li class="circle">fr.ici.buildingActivity.insee.<a href="fr/ici/buildingActivity/insee/SireneUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></li>
</ul>
</li>
<li class="circle">fr.ici.buildingActivity.minister.<a href="fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></li>
<li class="circle">fr.ici.buildingActivity.insee.<a href="fr/ici/buildingActivity/insee/SireneImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SireneImport</a></li>
<li class="circle">fr.ici.buildingActivity.building.<a href="fr/ici/buildingActivity/building/UseCase.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">UseCase</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/UseCase.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">UseCase</a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Enum Class Hierarchy">Enum Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Enum.html" class="type-name-link external-link" title="class or interface in java.lang">Enum</a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;T&gt;, java.lang.constant.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/constant/Constable.html" title="class or interface in java.lang.constant" class="external-link">Constable</a>, java.io.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a>)
<ul>
<li class="circle">fr.ici.buildingActivity.util.property.<a href="fr/ici/buildingActivity/util/property/AddressRef.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.util.property">AddressRef</a></li>
<li class="circle">fr.ici.buildingActivity.util.property.<a href="fr/ici/buildingActivity/util/property/BuildingRef.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></li>
<li class="circle">fr.ici.buildingActivity.poi.<a href="fr/ici/buildingActivity/poi/POI.StrategyGenerationValue.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.poi">POI.StrategyGenerationValue</a></li>
<li class="circle">fr.ici.buildingActivity.util.property.<a href="fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.util.property">TypeOfHousingGeneration</a></li>
<li class="circle">fr.ici.buildingActivity.minister.<a href="fr/ici/buildingActivity/minister/TypeOfSchools.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
